import Screen from "@/components/ui/Screen";
import CustomText from "@/components/ui/Text";
import { Link } from "expo-router";
import { View } from "react-native";

const socialNetworkButtons: ISocialNetworkButtons[] = [
  { icon: "instagram" },
  { icon: "facebook" },
  { icon: "linkedin" },
];

interface ISocialNetworkButtons {
  icon: any;
}

export default function LoginPage() {
  return (
    <Screen>
      <View className="flex flex-col gap-4">
        <View className="flex flex-col gap-2">
          <CustomText center={true} size="3xl" bold={true}>
            Connexion à Optifit
          </CustomText>
          <CustomText center={true} size="lg">
            Personnalise ton expérience du sport avec Optifit, ton nouveau coach
            IA.
          </CustomText>
        </View>
        {/* <LoginForm /> */}
        <View className="flex flex-col gap-2">
          <CustomText center={true}>
            Tu n'as pas encore de compte ?
            <Link href="/(auth)/sign-in">
              <CustomText bold={true} isLink={true}>
                {" "}
                Inscris-toi !
              </CustomText>
            </Link>
          </CustomText>
          <Link href="/reset-password">
            <CustomText center={true} bold={true} isLink={true}>
              Mot de passe oublié ?
            </CustomText>
          </Link>
        </View>
      </View>
    </Screen>

    // <Screen>
    //   <Box className="h-full justify-center">
    //     <VStack space="2xl">
    //       <VStack space="sm">
    //         <Heading className="text-center" size="3xl">
    //           Connexion à Optifit
    //         </Heading>
    //         <Text size="lg" className="text-center">
    //           Personnalise ton expérience du sport avec Optifit, ton nouveau
    //           coach IA.
    //         </Text>
    //       </VStack>
    //       <LoginForm />
    //       <ButtonGroup className="justify-center" flexDirection="row">
    //         {socialNetworkButtons.map((socialNetworkButton) => (
    //           <Button
    //             key={socialNetworkButton.icon}
    //             size="xl"
    //             variant="outline"
    //             action="primary"
    //           >
    //             <Feather name={socialNetworkButton.icon} size={27} />
    //           </Button>
    //         ))}
    //       </ButtonGroup>
    //       <VStack>
    //         <HStack className="justify-center items-center" space="xs">
    //           <Text>Tu n'as pas encore de compte ?</Text>
    //           <Link href="/(auth)/sign-in">
    //             <LinkText bold={true}>Inscris-toi !</LinkText>
    //           </Link>
    //         </HStack>
    //         <Link className="text-center" href="/reset-password">
    //           <LinkText bold={true}>Mot de passe oublié ?</LinkText>
    //         </Link>
    //       </VStack>
    //     </VStack>
    //   </Box>
    // </Screen>
  );
}
