import {Image, SafeAreaView, Text, TouchableOpacity, View} from "react-native";
import React from "react";
import {Ionicons} from "@expo/vector-icons";
import WorkoutCardComponent from "@/components/WorkoutCardComponent";


export default function HomeScreen() {
    const date = new Date();
    const formattedDate = date.toLocaleDateString('fr-FR', {
        year: 'numeric',
        month: 'long',
        day: 'numeric',
    });

    return (
        <SafeAreaView>
            <View className="bg-black p-4 rounded-b-2xl h-auto">

                <View className="flex-row m-4 ">
                    <Ionicons name="calendar" size={24} color="white" />
                    <Text className="text-gray-400 text-2xl mb-2 ml-1">{formattedDate}</Text>

                </View>

                <View className="flex-row items-center justify-between m-2">
                    <View className="flex-row items-center">
                        <Image className="h-20 w-24 rounded-2xl"
                               source={require("assets/images/sigma-profile.jpeg")}
                        />
                            <Text className="text-white text-4xl font-extrabold ml-2 ">Hello, Tata Yoyo!</Text>
                    </View>

                    {/* Notifications */}
                    <TouchableOpacity>
                        {/* Notification Badge */}
                        <View className="absolute top-0 right-0 bg-red-500 w-4 h-4 rounded-full flex items-center justify-center m-4">
                            <Ionicons name="notifications" size={16} color="white" />
                            <Text className="text-white text-xs font-bold">8</Text>
                        </View>
                    </TouchableOpacity>
                </View>

            </View>

            <View>
                <WorkoutCardComponent/>
            </View>

        </SafeAreaView>
    );
}