import { PropsWithChildren } from "react";
import { Text } from "react-native";

type props = PropsWithChildren & {
  center?: boolean;
  color?: string;
  size?: string;
  bold?: boolean;
  isLink?: boolean;
};

const CustomText = ({ children, center, color, size, bold, isLink }: props) => {
  const className =
    "text-" +
    (size ?? "md") +
    " " +
    (center ? "text-center" : "") +
    " " +
    ("text-" + (color ?? "black ")) +
    " " +
    (bold ? "font-bold" : "") +
    " " +
    (isLink ? "text-orange-500 underline" : "");
  return <Text className={className}>{children}</Text>;
};

export default CustomText;
